import { CompositeLayer, CompositeLayerProps, DefaultProps, GetPickingInfoParams, Layer, LayersList } from "@deck.gl/core";
import type { H3HexagonLayerProps } from "@deck.gl/geo-layers";
import * as arrow from "apache-arrow";
import { GeoArrowPickingInfo } from "../types";
import { GeoArrowExtraPickingProps } from "../utils/picking";
/** All properties supported by GeoArrowH3HexagonLayer */
export type GeoArrowH3HexagonLayerProps = Omit<H3HexagonLayerProps, "data" | "getHexagon"> & _GeoArrowH3HexagonLayerProps & CompositeLayerProps;
/** Props added by the GeoArrowH3HexagonLayer */
type _GeoArrowH3HexagonLayerProps = {
    data: arrow.Table;
    /**
     * Called for each data object to retrieve the quadkey string identifier.
     */
    getHexagon: arrow.Vector<arrow.Utf8>;
    /**
     * If `true`, validate the arrays provided (e.g. chunk lengths)
     * @default true
     */
    _validate?: boolean;
};
export declare class GeoArrowH3HexagonLayer<ExtraProps extends {} = {}> extends CompositeLayer<GeoArrowH3HexagonLayerProps & ExtraProps> {
    static defaultProps: DefaultProps<GeoArrowH3HexagonLayerProps>;
    static layerName: string;
    getPickingInfo(params: GetPickingInfoParams & {
        sourceLayer: {
            props: GeoArrowExtraPickingProps;
        };
    }): GeoArrowPickingInfo;
    renderLayers(): Layer<{}> | LayersList | null;
    _renderLayersPoint(): Layer<{}> | LayersList | null;
}
export {};
