import * as arrow from "apache-arrow";
import { GetPickingInfoParams } from "@deck.gl/core";
import { GeoArrowPickingInfo } from "../types";
export interface GeoArrowExtraPickingProps {
    recordBatchIdx: number;
    tableOffsets: Uint32Array;
    data: {
        invertedGeomOffsets?: Uint8Array | Uint16Array | Uint32Array;
    };
}
export declare function getPickingInfo({ info, sourceLayer, }: GetPickingInfoParams & {
    sourceLayer: {
        props: GeoArrowExtraPickingProps;
    };
}, table: arrow.Table): GeoArrowPickingInfo;
export declare function computeChunkOffsets<T extends arrow.DataType>(chunks: ReadonlyArray<arrow.Data<T>>): Uint32Array;
