import * as arrow from "apache-arrow";
export declare function validateAccessors(props: Record<string, any>, table: arrow.Table): void;
/**
 * Provide validation for accessors provided
 *
 * - Assert that all vectors have the same number of chunks as the main table
 * - Assert that all chunks in each vector have the same number of rows as the
 *   relevant batch in the main table.
 *
 */
export declare function validateVectorAccessors(table: arrow.Table, vectorAccessors: arrow.Vector[]): void;
export declare function validateColorVector(vector: arrow.Vector): void;
